
Summary: Python Lex-Yacc
Name: python-ply
Version: 3.3
Release: %mkrel 1
License: LGPL
Group: Development/Python
Source0: http://www.dabeaz.com/ply/ply-%{version}.tar.bz2
URL: http://www.dabeaz.com/ply/
%py_requires -d
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
PLY is yet another implementation of lex and yacc for Python. Although
several other parsing tools are available for Python, there are
several reasons why you might want to take a look at PLY:
- It uses LR-parsing which is reasonably efficient and well suited for
  larger grammars.
- PLY provides most of the standard lex/yacc features including
  support for empty productions, precedence rules, error recovery, and
  support for ambiguous grammars.
- PLY is extremely easy to use and provides very extensive error
  checking.

%prep
%setup -qn ply-%{version}

%install
rm -fr %{buildroot}
python setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README TODO doc example test
%python_sitelib/*.egg-info
%python_sitelib/ply


%changelog
* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.3-1mdv2010.1
+ Revision: 489357
- new version

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-1mdv2010.0
+ Revision: 384253
- update to new version 3.1

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 2.5-2mdv2009.1
+ Revision: 323927
- clean spec

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.5-1mdv2009.1
+ Revision: 305847
- update to new version 2.5

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-4mdv2009.0
+ Revision: 259742
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-3mdv2009.0
+ Revision: 247588
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.3-1mdv2008.1
+ Revision: 136456
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 2.3-1mdv2007.0
+ Revision: 124895
- 2.3

* Thu Nov 30 2006 Gaëtan Lehmann <glehmann@mandriva.org> 2.2-1mdv2007.1
+ Revision: 88998
- sync sources
- 2.2
  drop patch 1
- 1.8
- Import python-ply

* Fri May 26 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.7-1mdv2007.0
- New release 1.7
- update url

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-3mdk
- Add BuildRequires
- use mkrel

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.5-2mdk
- Rebuild for new python

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- from Gaetan Lehmann <glehmann@netcourrier.com> :
	- Create package from scratch for mandrake system

